# Writing the amino acids hash (1-letter code/name) to a DB_File database
use strict; use warnings;
my %amino_acids;
dbmopen(%amino_acids, 'amino_acids', 0666)
  or die "cannot create amino acids file\n";
%amino_acids = (
  'A' => 'alanine',     'C' => 'cysteine',    'D' => 'aspartic acid',  'E' => 'glutamic acid',  'F' => 'phenylalanine',
  'G' => 'glycine',     'H' => 'histidine',   'I' => 'isoleucine',     'K' => 'lysine',         'L' => 'leucine',
  'M' => 'methionine',  'N' => 'asparagine',  'P' => 'proline',        'Q' => 'glutamine',      'R' => 'arginine',
  'S' => 'serine',      'T' => 'threonine',   'V' => 'valine',         'W' => 'tryptophan',     'Y' => 'tyrosine'
);
dbmclose(%amino_acids);
