# Reading the amino acids hash (1-letter code/name) from the corr. DB_File database and displaying them, ordered by their code
use strict; use warnings;
my %aa;
dbmopen(%aa, 'amino_acids', 0444)
  or die "cannot open amino acids file\n";
print "\nAmino acids list by 1-letter code\n";
for my $a (sort keys %aa) {
  print "  $a $aa{$a}\n"
}
dbmclose(%aa);
