use strict; use warnings;
my %amino_acids = (
  'Ala' => 'alanine',
  'Arg' => 'arginine',
  'Asn' => 'aspargine',
  'Gln' => 'glutamine',
  'Glu' => 'glutamic acid',
  'Gly' => 'glycine'
);
print "\nExample: Simple hash.";
# Add an element to the hash
$amino_acids{'Cys'} = 'cysteine';
# Change the value of an existing element
$amino_acids{'Asn'} = 'asparagine';
# Delete an element from the hash
delete $amino_acids{'Gly'};
# Display the number of hash elements
my $size = scalar keys %amino_acids;
print "\n\nNumber of amino acids in the list = $size";
# Display the hash elements (key/value pairs)
# Note that the hash keys are in random order!
print "\n\nAmino acids list:\n";
for my $code3 (keys %amino_acids) {
  print "  $code3 $amino_acids{$code3}\n";
}
