use strict; use warnings;
my %person = (
  'lastname'  => 'Smith',
  'firstname' => 'Linda',
  'children'  => ['Bob', 'Tom', 'Jennifer']
);
print "\nExample: Hash of array.";
# Adding a new child (direct access to the array element using a "double index")
$person{children}[3] = 'Kim';
# Changing the name of the third child (direct access to the array element using a "double index")
$person{children}[2] = 'Jenny';
# Deleting the second child from the array (direct access to the array element using a "double index")
delete($person{children}[1]);
# Extracting the names of all children (using an array-reference)
my $ref_allchildren = $person{children}; my @allchildren = @$ref_allchildren;
print "\n\nThe name of child [2] is $allchildren[2]";
# Extracting the name of the first child (direct access to the array element using a "double index")
print "\nThe name of child [0] is $person{children}[0]";
# Displaying all children (dereferencing the reference to the array)
print "\n\nList of children:\n";
$ref_allchildren = $person{children};
for my $child (@$ref_allchildren) {
  if (defined($child)) {
    print "  $child\n";
  }
}
