use strict; use warnings;
my %grades = (
  'Smith Ben' => {
    'Mathematics' => 92, 'Science' => 88, 'Literature' => 73, 'Art' => 67
  },
  'Jones Kim' => {
    'Mathematics' => 75, 'Science' => 78, 'Literature' => 93, 'Art' => 97
  }
);
print "\n\nHash of hashes example.";
# Adding the student Smith Jenny (using a hash-reference)
my %grades_jenny = (
  'Art' => 80, 'Literature' => 85, 'Mathematics' => 90, 'Science' => 91
);
$grades{'Smith Jenny'} = \%grades_jenny;
print "\n\nSmith Jenny's Science grade is $grades{'Smith Jenny'}{'Science'}";
# Adding the student Burns Tom (direct access to the hash element using a "double index")
$grades{'Burns Tom'}{'Mathematics'} = 84;
$grades{'Burns Tom'}{'Literature'} = 78;
$grades{'Burns Tom'}{'Science'} = 86;
print "\nBurns Tom's Literature grade is $grades{'Burns Tom'}{'Literature'}";
# Changing the Art grade of Smith Ben (direct access to the hash element using a "double index")
$grades{'Smith Ben'}{'Art'} = 64;
# Deleting the Science grade of Smith Ben (direct access to the hash element using a "double index")
delete($grades{'Smith Ben'}{'Science'});
# Displaying all grades of Smith Ben (using a hash-reference)
print "\n\nGrades of Smirh Ben:\n";
my $ref_grades_ben = $grades{'Smith Ben'}; my %grades_ben = %$ref_grades_ben;
while (my ($subject, $grade) = each %grades_ben) {
  print "  $subject: $grade\n";
}
# Displaying the Science grades of all students (direct access to the hash element using a "double index")
print "\nScience grades (all students):\n";
for my $student (keys %grades) {
  if (exists $grades{$student}{'Science'}) {
    print " $student: $grades{$student}{'Science'}\n";
  }
  else {
    print " $student: absent\n";
  }
}
