# Displaying all grades of all students, ordered by student name and subject
use strict; use warnings;
my %grades = (
  'Smith Ben'   => {
    'Mathematics' => 92,
    'Literature'  => 73,
    'Art'         => 64
  },
  'Jones Kim'   => {
    'Mathematics' => 75,
    'Science'     => 78,
    'Literature'  => 93,
    'Art'         => 97
  },
  'Smith Jenny' => {
    'Art'         => 80,
    'Literature'  => 85,
    'Mathematics' => 90,
    'Science'     => 91
  },
  'Burns Tom'   => {
    'Literature'  => 78,
    'Mathematics' => 84,
    'Science'     => 86
  }
);
print "\nAll students grades (ordered by student and subject):\n";
my $oldstudent = '';
for my $student (sort keys %grades) {
  my $ref_grades_student = $grades{$student};
  for my $subject (sort keys %$ref_grades_student) {
    if ($student ne $oldstudent) {
      print "  $student:\n";
      $oldstudent = $student;
    }
    print "    $subject: $grades{$student}{$subject}\n";
  }
}
