# Displaying all grades of all students, ordered by student and grade
use strict; use warnings;
my %grades = (
  'Smith Ben'   => {
    'Mathematics' => 92,
    'Literature'  => 73,
    'Art'         => 64
  },
  'Jones Kim'   => {
    'Mathematics' => 75,
    'Science'     => 78,
    'Literature'  => 93,
    'Art'         => 97
  },
  'Smith Jenny' => {
    'Art'         => 80,
    'Literature'  => 85,
    'Mathematics' => 90,
    'Science'     => 91
  },
  'Burns Tom'   => {
    'Literature'  => 78,
    'Mathematics' => 84,
    'Science'     => 86
  }
);
print "\nGrades of all students (ordered by student name and grade):\n";
my @students = sort keys %grades;
foreach my $student (@students) {
  my $ref_grades_student = $grades{$student}; my %grades_student = %$ref_grades_student;
  print "\nGrades of $student:\n";
  for my $subject (sort {$grades_student{$b} <=> $grades_student{$a}} keys %grades_student) {
    print "  $subject: $grades_student{$subject}\n";
  }
}
