use strict; use warnings;
my %amino_acids = (
  'Ala' => 'alanine',
  'Arg' => 'arginine',
  'Asn' => 'asparagine',
  'Gln' => 'glutamine',
  'Glu' => 'glutamic acid',
  'Cys' => 'cysteine'
);
print "\nExample: Simple hash sort.";
# Sort the hash by key
print "\n\nAmino acids list by 3-letter code:\n";
for my $code3 (sort keys %amino_acids) {
  print "  $code3 $amino_acids{$code3}\n";
}
# Sort the hash by value
print "\n\nAmino acids list by amino acid name:\n";
foreach my $code3 (sort {$amino_acids{$a} cmp $amino_acids{$b}} keys %amino_acids){
  print "  $amino_acids{$code3} ($code3)\n";
}
