use strict; use warnings;
my %amino_acids = (
  'Ala' => 'alanine',
  'Arg' => 'arginine',
  'Asn' => 'asparagine',
  'Gln' => 'glutamine',
  'Glu' => 'glutamic acid',
  'Cys' => 'cysteine'
);
print "\nExample: Passing a hash to a subroutine that prints it.";
print_hash(\%amino_acids);     # call the sub to print the hash (pass the hash as a reference)
exit;

# Subroutine to print a hash
sub print_hash {
  my $ref_hash = shift @_;
  print "\n\nAmino acids list by 3-letter code:\n";
  foreach my $key (sort keys %$ref_hash) {
    print "$key   $$ref_hash{$key}\n";
  }
}
