use strict; use warnings;
my @employees = (
  { 'Lastname' => 'Smith', 'Firstname' => 'John',  'Salary' => 25000 },
  { 'Lastname' => 'Smith', 'Firstname' => 'Linda', 'Salary' => 23000 },
  { 'Lastname' => 'Jones', 'Firstname' => 'Lisa',  'Salary' => 26400 },
  { 'Lastname' => 'Burns', 'Firstname' => 'Mark',  'Salary' => 23800 }
);
print "\nExample: Array of hashes sort.";
print "\n\nList of all employees (sorted by salary):\n";
my @employees_sorted = sort { $b->{Salary} <=> $a->{Salary} } @employees;
for my $employee (@employees_sorted) {
  print "  $employee->{Lastname} $employee->{Firstname} (salary = $employee->{Salary})\n";
}
