# Displaying the Art grades of all students, ordered by grade
use strict; use warnings;
my %grades = (
  'Smith Ben'   => {
    'Mathematics' => 92,
    'Literature'  => 73,
    'Art'         => 64
  },
  'Jones Kim'   => {
    'Mathematics' => 75,
    'Science'     => 78,
    'Literature'  => 93,
    'Art'         => 97
  },
  'Smith Jenny' => {
    'Art'         => 80,
    'Literature'  => 85,
    'Mathematics' => 90,
    'Science'     => 91
  },
  'Burns Tom'   => {
    'Literature'  => 78,
    'Mathematics' => 84,
    'Science'     => 86
  }
);
print "\nArt grades of all students (ordered by grade):\n";
my %grades_temp = %grades;
for my $student (keys %grades_temp) {
  if (!defined($grades_temp{$student}{'Art'})) {
    $grades_temp{$student}{'Art'} = -1;
  }
}
my @students = sort {$grades_temp{$b}{'Art'} <=> $grades_temp{$a}{'Art'} } keys %grades_temp;
foreach my $student (@students) {
  unless ($grades_temp{$student}{'Art'} == -1) {
    print "  $student: $grades_temp{$student}{'Art'}\n";
  }
}
%grades_temp = ();
